import { StateSetter } from "../../util";
type TranslationKeys = {
    [key: string]: TranslationKeys | string | undefined;
};
type Translations = {
    [language: string]: TranslationKeys;
};
export type TranslationUseHook = (key: string) => string;
export type TranslationHook = {
    language: string | undefined;
    setLanguage: StateSetter<string | undefined>;
    fallbackLanguage: string | undefined;
    setFallbackLanguage: StateSetter<string | undefined>;
    t: TranslationUseHook;
};
export default function useTranslation(translations: Translations, defaultLanguage?: string): TranslationHook;
export {};
